<template>
  <v-card>
    <v-card-title class="text-h5 title">
      Are you sure, you want to pay?
    </v-card-title>
    <v-card-actions>
      <v-btn
          color="primary darken-1"
          text
          @click="closeDialog"
      >
        Disagree
      </v-btn>
      <v-spacer></v-spacer>
      <v-btn
          color="primary darken-1"
          text
          @click="confirmOffer"
      >
        Agree
      </v-btn>
    </v-card-actions>
  </v-card>
</template>

<script>
export default {
  name: "ConfirmPay",
  data: () => ({}),
  methods: {
    closeDialog() {
      this.$emit('closeDialog')
    },
    confirmOffer() {
      this.$emit('confirmOffer')
      this.closeDialog()
    }
  }
}
</script>

<style lang="scss" scoped>
  .title {
    word-break: break-word;
  }
</style>
